Add a new Vehicle
curl --request POST \
--url https://commerce.driv.ly/api/vehicles \
--header 'Content-Type: application/json' \
--data '
{
"vin": "<string>",
"year": 123,
"make": "<string>",
"transmission": "<string>",
"engine": "<string>",
"drivetrain": "<string>",
"model": "<string>",
"bodyStyle": "<string>",
"seatCount": 1,
"doorCount": 1,
"interiorColor": "<string>",
"exteriorColor": "<string>",
"trim": "<string>",
"spec": "<string>"
}
'import requests
url = "https://commerce.driv.ly/api/vehicles"
payload = {
"vin": "<string>",
"year": 123,
"make": "<string>",
"transmission": "<string>",
"engine": "<string>",
"drivetrain": "<string>",
"model": "<string>",
"bodyStyle": "<string>",
"seatCount": 1,
"doorCount": 1,
"interiorColor": "<string>",
"exteriorColor": "<string>",
"trim": "<string>",
"spec": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
vin: '<string>',
year: 123,
make: '<string>',
transmission: '<string>',
engine: '<string>',
drivetrain: '<string>',
model: '<string>',
bodyStyle: '<string>',
seatCount: 1,
doorCount: 1,
interiorColor: '<string>',
exteriorColor: '<string>',
trim: '<string>',
spec: '<string>'
})
};
fetch('https://commerce.driv.ly/api/vehicles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"vin": "<string>",
"year": 123,
"make": "<string>",
"transmission": "<string>",
"engine": "<string>",
"drivetrain": "<string>",
"model": "<string>",
"bodyStyle": "<string>",
"seatCount": 1,
"doorCount": 1,
"interiorColor": "<string>",
"exteriorColor": "<string>",
"trim": "<string>",
"spec": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Vehicles
Add a new Vehicle
POST
/
vehicles
Add a new Vehicle
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Vehicle is uniquely identified by vin
Vehicle was manufactured in Year
Vehicle is of Make
Vehicle has Transmission
Vehicle has Engine specification
Vehicle has Drivetrain
Vehicle has Model
Vehicle has Body Style
Vehicle has Seat Count
Required range:
x >= 0Vehicle has Door Count
Required range:
x >= 0Vehicle was manufactured with Interior Color
Vehicle was manufactured with Exterior Color
Vehicle has Trim level
Vehicle has Vehicle Spec
Response
Vehicle Added
Show child attributes
Show child attributes
Example:
{
"vin": "1C4HJXEN5MW592818",
"year": 2021,
"make": "Jeep",
"trim": "Sport",
"spec": "vs_4jf8x9jv5c0b",
"model": "Wrangler",
"engine": "3.6L V6",
"seatCount": 5,
"doorCount": 4,
"bodyStyle": "SUV",
"drivetrain": "4WD",
"transmission": "Automatic",
"interiorColor": "Black",
"exteriorColor": "Red"
}
⌘I